Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.lock
Class LockingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.util.NestedException
                  org.jboss.cache.CacheException
                      org.jboss.cache.lock.LockingException

All Implemented Interfaces:
  org.jboss.util.NestedThrowable, Serializable

Direct Known Subclasses:
  DeadlockException, UpgradeException

public class LockingException
extends CacheException

Used for all locking-related exceptions, e.g. when a lock could not be acquired within the timeout, or when a deadlock was detected.

Version:
  $Revision: 1.2 $

  Revisions:

  Dec 27 2002 Bela Ban: first implementation

Author:
  Bela Ban.
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.jboss.util.NestedThrowable
`org.jboss.util.NestedThrowable.Util`

Field Summary

Fields inherited from class org.jboss.util.NestedException
`nested`

Fields inherited from interface org.jboss.util.NestedThrowable
`DETECT_DUPLICATE_NESTING, NESTED_TRACE_ENABLED, PARENT_TRACE_ENABLED`

Constructor Summary
`LockingException()`
`LockingException(Map failed_lockers)`
`LockingException(String msg)`
`LockingException(String msg, Map failed_lockers)`
`LockingException(String msg, Throwable cause)`
`LockingException(String msg, Throwable cause, Map failed_lockers)`

Method Summary
`String` | `toString()`

Methods inherited from class org.jboss.util.NestedException
`getCause, getMessage, getNested, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LockingException

    public LockingException()

### LockingException

    public LockingException(Map failed_lockers)

### LockingException

    public LockingException(String msg)

### LockingException

    public LockingException(String msg,
                            Map failed_lockers)

### LockingException

    public LockingException(String msg,
                            Throwable cause)

### LockingException

    public LockingException(String msg,
                            Throwable cause,
                            Map failed_lockers)

Method Detail

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.